Skip to main content
`Ctrl`+`K`

# graph_atlas

graph_atlas(i)

  Returns graph number `i` from the Graph Atlas.

  For more information, see `graph_atlas_g()`.

  Parameters:
    i int

      The index of the graph from the atlas to get. The graph at index 0 is assumed to be the null graph.

  Returns:
    list

      A list of `Graph` objects, the one at index i corresponding to the graph i in the Graph Atlas.

  See also

  `graph_atlas_g`

  Notes

  The time required by this function increases linearly with the argument `i`, since it reads a large file sequentially in order to generate the graph [1].

  References

  [1]

  Ronald C. Read and Robin J. Wilson, An Atlas of Graphs. Oxford University Press, 1998.